CONST
    //Posicin de los comandos usados en el juego
    _KEY_UP       = 0;
    _KEY_DOWN     = 1;
    _KEY_LEFT     = 2;
    _KEY_RIGHT    = 3;
    _KEY_ACCEPT   = 4;
    _KEY_BACK     = 5;
    _KEY_INTRO    = 6;
    _KEY_ESC      = 7;
    _KEY_VOL_UP   = 8;
    _KEY_VOL_DOWN = 9;
    _KEY_1        = 10;
    _KEY_2        = 11;
    _KEY_3        = 12;
    _KEY_4        = 13;
    _KEY_MOUSE    = 14;
    
    _KEY_LAST = 15;
    
    //Valores de los botones de GP2X/WIZ/CAANOO
    _GP2X_JKEY_UP        =  0 ;
    _GP2X_JKEY_UPLEFT    =  1 ;
    _GP2X_JKEY_LEFT      =  2 ;
    _GP2X_JKEY_DOWNLEFT  =  3 ;
    _GP2X_JKEY_DOWN      =  4 ;
    _GP2X_JKEY_DOWNRIGHT =  5 ;
    _GP2X_JKEY_RIGHT     =  6 ;
    _GP2X_JKEY_UPRIGHT   =  7 ;
    _GP2X_JKEY_START     =  8 ;
    _GP2X_JKEY_SELECT    =  9 ;
    _GP2X_JKEY_L         = 10 ;
    _GP2X_JKEY_R         = 11 ;
    _GP2X_JKEY_A         = 12 ;
    _GP2X_JKEY_B         = 13 ;
    _GP2X_JKEY_X         = 14 ;
    _GP2X_JKEY_Y         = 15 ;
    _GP2X_JKEY_VOLUP     = 16 ;
    _GP2X_JKEY_VOLDOWN   = 17 ;
    _GP2X_JKEY_CLICK     = 18 ;

    _GP2X_JKEY_LAST      = 19 ;
END
    
GLOBAL
    int teclas[_KEY_LAST-1];    //Tiempo que se pulsa cada tecla
    int inclinacion_lateral;    //ngulo de inclinacin lateral (media)
    int inclinacion_vertical;   //ngulo de inclinacin vertical (media)
    
    int inclinacion_lateral_default;    //ngulo de inclinacin lateral que se determina como referencia cero
    int inclinacion_vertical_default;   //ngulo de inclinacin vertical que se determina como referencia cero
    
    //VALORES POR DEFECTO DEL TECLADO
    int _TECLADO_UP         = _UP;
    int _TECLADO_DOWN       = _DOWN;
    int _TECLADO_LEFT       = _LEFT;
    int _TECLADO_RIGHT      = _RIGHT;
    int _TECLADO_ACCEPT     = _Z;
    int _TECLADO_BACK       = _X;
    int _TECLADO_INTRO      = _ENTER;
    int _TECLADO_ESC        = _ESC;
    int _TECLADO_VOL_UP     = _C_PLUS;
    int _TECLADO_VOL_DOWN   = _C_MINUS;
    int _TECLADO_1          = _LEFT;
    int _TECLADO_2          = _P;
    int _TECLADO_3          = _B;
    int _TECLADO_4          = _Q;
    
    //VALORES POR DEFECTO DE LA GP2X/WIZ/CAANOO
    int _GP2X_UP        = _GP2X_JKEY_UP;
    int _GP2X_DOWN      = _GP2X_JKEY_DOWN;
    int _GP2X_LEFT      = _GP2X_JKEY_LEFT;
    int _GP2X_RIGHT     = _GP2X_JKEY_RIGHT;
    int _GP2X_ACCEPT    = _GP2X_JKEY_B;
    int _GP2X_BACK      = _GP2X_JKEY_X;
    int _GP2X_INTRO     = _GP2X_JKEY_SELECT;
    int _GP2X_ESC       = _GP2X_JKEY_START;
    int _GP2X_VOL_UP    = _GP2X_JKEY_VOLUP;
    int _GP2X_VOL_DOWN  = _GP2X_JKEY_VOLDOWN;
    int _GP2X_1         = _GP2X_JKEY_A;
    int _GP2X_2         = _GP2X_JKEY_B;
    int _GP2X_3         = _GP2X_JKEY_X;
    int _GP2X_4         = _GP2X_JKEY_Y;
END
